require"TEsound"

function love.load()
	ja = {}
	ja.img = love.graphics.newImage("ja.png")
	ja.path = "ja.wav"
	ja.x = 0
	ja.y = 0
	
	nee = {}
	nee.img = love.graphics.newImage("nee.png")
	nee.path = "nee.wav"
	nee.x = love.graphics.getWidth() / 2
	nee.y = 0
	
	scale = {}
	scale.x = (love.graphics.getWidth() / 2) / ja.img:getWidth()
	scale.y = love.graphics.getHeight() / ja.img:getHeight()

	waitTime = 0.5 --Time in seconds to wait before playing another sound
end

function love.update()
	TEsound.cleanup()
end

function love.draw()
	love.graphics.draw(ja.img, ja.x, ja.y, 0, scale.x, scale.y)
	love.graphics.draw(nee.img, nee.x, nee.y, 0, scale.x, scale.y)
end

function love.mousepressed(x, y, button)
	if (lastPlayed == nil) or ((love.timer.getMicroTime() - lastPlayed) >= waitTime) then
		if x < (love.graphics.getWidth() / 2) then
			TEsound.play(ja.path)
		else
			TEsound.play(nee.path)
		end
		lastPlayed = love.timer.getMicroTime()
	end
end